%define lib_major 0

Summary: Support libraries for Mr. Project
Name: libmrproject
Version: 0.9
Release: 1mdk
URL: http://www.codefactory.se/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libgsf-1-devel
BuildRequires:  gtk-doc

%description
A support library for accessing Mr. Project data.


%package -n %{name}%{lib_major}
Summary: %{summary}
Group: %{group}
Requires: %{name} >= %{version}

%description -n %{name}%{lib_major}
A support library for accessing Mr. Project data.


%package -n %{name}%{lib_major}-devel
Summary:	The files needed for libmrproject application development.
Group: 		Development/C
Provides:   %{name}-devel = %{version}-%{release}
Requires:	%{name}%{lib_major} = %{version}-%{release}
Requires:	libglib2.0-devel
Requires:   libxml2-devel
Requires:   libgsf-1-devel

%description -n %{name}%{lib_major}-devel
The libmrproject-devel package contains the necessary include files
for developing applications that access Mr. Project data


%prep
%setup -q

%build

%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

#remove unpackagd files
rm -f $RPM_BUILD_ROOT%{_libdir}/mrproject/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post  -n %{name}%{lib_major} -p /sbin/ldconfig

%postun -n %{name}%{lib_major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_datadir}/mrproject
%dir %{_libdir}/mrproject
%dir %{_libdir}/mrproject/storage-modules
%dir %{_libdir}/mrproject/file-modules
%{_libdir}/mrproject/storage-modules/*.so
%{_libdir}/mrproject/file-modules/*.so

%files -n %{name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{name}%{lib_major}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/mrproject-1.0

%changelog
* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Fix devel package dependency

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- Add missing dir

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Tue Jul 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-2mdk
- BuildRequires

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- First Mdk package

